<template>
    <div>
        <div class="col-lg-12 col-md-12">
				<div class="dashboard-list-box margin-top-0">
					<h4>Outfit</h4>
				</div>
			</div>
        <div class="col-lg-3 col-md-3 padding-right-30"></div>
        <div class="col-lg-6 col-md-6 padding-right-30">
      

			<!-- Blog Post -->
			<div class="blog-post">
				
				<!-- Img -->
				<a class="post-img">
					<img v-bind:src="'../../static/images/outfit/'+outfit_item[0].photo" alt="">
				</a>
				
				<!-- Content -->
				<div class="post-content">
					<h3><a href="pages-blog-post.html">{{outfit_item[0].name}}</a></h3>
          <div class="col-md-6">
          
					<ul class="post-meta">
						<li>{{outfit_item[0].sex}}</li>
						<li>{{outfit_item[0].minTemperature}} < Temperature > {{outfit_item[0].maxTemperature}}</li>
						<li>{{outfit_item[0].minAge}} < Age > {{outfit_item[0].maxAge}}</li>
					</ul>

					<p>Style: {{outfit_item[0].styles}}</p>
          <p>Activities: {{outfit_item[0].activities}}</p>
          </div> 
				</div>

			</div>
			<!-- Blog Post / End -->

		</div>
    </div>
</template>

<script>
import axios from 'axios'
import swal from 'sweetalert2'
export default {
  name: 'DetailsOutfit',
  data () {
    return {
       outfit_item:{}
    }
  },
  created () {
    axios.get('http://34.244.196.28:443/outfit_item/details/'+this.$route.params.id)
    .then(response => {
      this.outfit_item = response.data
    })
    .catch(e => {
      this.errors.push(e)
    })
  },
  methods: {
	  editoutfit (outfitid) {
      this.$router.push({
        name: 'EditOutfit',
        params: { id: outfitid }
      })
    },
    deleteoutfit(outfitid) {
      swal({
        title: 'Are you sure?',
        text: "You won't be able to revert this!",
        type: 'warning',
        showCancelButton: true,
        confirmButtonColor: '#3085d6',
        cancelButtonColor: '#d33',
        confirmButtonText: 'Yes, delete it!'
      }).then((result) => {
        if (result.value) {
          axios.delete('http://34.244.196.28:443/outfit_item/' + outfitid)
      .then(response => {
		  this.$router.push({
            name: "DisplayOutfit"
          });
      })
      .catch(e => {
        this.errors.push(e)
      })
          swal(
            'Deleted!',
            'Your file has been deleted.',
            'success'
          )
        }
        })
      
    }
  }
}
</script>